Index: trunk/src/world_entities/environments/model_entity.cc
===================================================================
--- trunk/src/world_entities/environments/model_entity.cc	(revision 6969)
+++ trunk/src/world_entities/environments/model_entity.cc	(revision 6969)
@@ -0,0 +1,51 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Patrick Boenzli
+   co-programmer: ...
+*/
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
+
+#include "movie_entity.h"
+
+#include "load_param.h"
+#include "factory.h"
+#include "static_model.h"
+
+using namespace std;
+
+
+CREATE_FACTORY(ModelEntity, CL_MODEL_ENTITY);
+
+
+
+/**
+ *  initializes a skybox from a XmlElement
+*/
+ModelEntity::ModelEntity(const TiXmlElement* root)
+{
+  this->setClassID(CL_MODEL_ENTITY, "ModelEntity");
+  this->toList(OM_ENVIRON_NOTICK);
+
+  if (root != NULL)
+    this->loadParams(root);
+}
+
+
+/**
+ *  default destructor
+*/
+ModelEntity::~ModelEntity()
+{
+}
+
+
Index: trunk/src/world_entities/environments/model_entity.h
===================================================================
--- trunk/src/world_entities/environments/model_entity.h	(revision 6969)
+++ trunk/src/world_entities/environments/model_entity.h	(revision 6969)
@@ -0,0 +1,30 @@
+/*!
+ * @file movie_entity.h
+ *  Definition of the ModelEntity, that handles the Display of an atmosphere for orxonox.
+ */
+
+#ifndef _MODEL_ENTITY_H
+#define _MODEL_ENTITY_H
+
+/* INCLUDES */
+#include "world_entity.h"
+
+/* FORWARD DECLARATION */
+
+//! A Class to handle a ModelEntity
+class ModelEntity : public WorldEntity
+{
+ public:
+  ModelEntity(const TiXmlElement* root);
+
+  virtual ~ModelEntity();
+
+
+  private:
+
+};
+
+#endif  /* _MODEL_ENTITY_H */
+
+
+
Index: trunk/src/world_entities/environments/movie_entity.cc
===================================================================
--- trunk/src/world_entities/environments/movie_entity.cc	(revision 6968)
+++ 	(revision )
@@ -1,51 +1,0 @@
-/*
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   ### File Specific:
-   main-programmer: Patrick Boenzli
-   co-programmer: ...
-*/
-
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
-
-#include "movie_entity.h"
-
-#include "load_param.h"
-#include "factory.h"
-#include "static_model.h"
-
-using namespace std;
-
-
-CREATE_FACTORY(ModelEntity, CL_MODEL_ENTITY);
-
-
-
-/**
- *  initializes a skybox from a XmlElement
-*/
-ModelEntity::ModelEntity(const TiXmlElement* root)
-{
-  this->setClassID(CL_MODEL_ENTITY, "ModelEntity");
-  this->toList(OM_ENVIRON_NOTICK);
-
-  if (root != NULL)
-    this->loadParams(root);
-}
-
-
-/**
- *  default destructor
-*/
-ModelEntity::~ModelEntity()
-{
-}
-
-
Index: trunk/src/world_entities/environments/movie_entity.h
===================================================================
--- trunk/src/world_entities/environments/movie_entity.h	(revision 6968)
+++ 	(revision )
@@ -1,30 +1,0 @@
-/*!
- * @file movie_entity.h
- *  Definition of the ModelEntity, that handles the Display of an atmosphere for orxonox.
- */
-
-#ifndef _MODEL_ENTITY_H
-#define _MODEL_ENTITY_H
-
-/* INCLUDES */
-#include "world_entity.h"
-
-/* FORWARD DECLARATION */
-
-//! A Class to handle a ModelEntity
-class ModelEntity : public WorldEntity
-{
- public:
-  ModelEntity(const TiXmlElement* root);
-
-  virtual ~ModelEntity();
-
-
-  private:
-
-};
-
-#endif  /* _MODEL_ENTITY_H */
-
-
-
